Std ViewIsometric: Difference between revisions

From FreeCAD Documentation
(Mini-cube menu now calls this command.)
(Docnav)
(2 intermediate revisions by the same user not shown)
Line 4: Line 4:
<!--T:11-->
<!--T:11-->
{{Docnav
{{Docnav
|[[Std_AlignToSelection|AlignToSelection]]
|[[Std_ViewFitSelection|ViewFitSelection]]
|[[Std_ViewDimetric|ViewDimetric]]
|[[Std_ViewDimetric|ViewDimetric]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewFitSelection.svg
|IconL=Std_AlignToSelection.svg
|IconR=Std_ViewDimetric.svg
|IconR=Std_ViewDimetric.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
Line 36: Line 36:
<!--T:6-->
<!--T:6-->
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Std ViewIsometric]]}} button.
#* Press the {{Button|[[Image:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Isometric]]}} button.
#* Select the {{MenuCommand|View → Standard views → Axonometric → [[Image:Std_ViewIsometric.svg|16px]] Isometric}} option from the menu.
#* Select the {{MenuCommand|View → Standard views → Axonometric → [[Image:Std_ViewIsometric.svg|16px]] Isometric}} option from the menu.
#* Select the {{MenuCommand|Standard views → [[Image:Std_ViewIsometric.svg|16px]] Isometric}} option from the [[3D_view|3D view]] context menu.
#* Select the {{MenuCommand|Standard views → [[Image:Std_ViewIsometric.svg|16px]] Isometric}} option from the [[3D_view|3D view]] context menu.
Line 45: Line 45:


<!--T:8-->
<!--T:8-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:9-->
<!--T:9-->
Line 62: Line 62:
<!--T:14-->
<!--T:14-->
{{Docnav
{{Docnav
|[[Std_AlignToSelection|AlignToSelection]]
|[[Std_ViewFitSelection|ViewFitSelection]]
|[[Std_ViewDimetric|ViewDimetric]]
|[[Std_ViewDimetric|ViewDimetric]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewFitSelection.svg
|IconL=Std_AlignToSelection.svg
|IconR=Std_ViewDimetric.svg
|IconR=Std_ViewDimetric.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
Line 71: Line 71:


</translate>
</translate>
{{Std Base navi{{#translation:}}}}
{{Std_Base_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 09:42, 9 July 2024

Std ViewIsometric

Menu location
View → Standard views → Axonometric → Isometric
Workbenches
All
Default shortcut
0
Introduced in version
-
See also
Std ViewDimetric, Std ViewTrimetric

Description

The Std ViewIsometric command realigns the camera in the active 3D view to obtain an isometric view. For a truly isometric view the 3D view must be in orthographic mode, but the command also works if the view is in perspective mode.

The axis cross and a cube in isometric view

Usage

  1. There are several ways to invoke the command:
    • Press the Isometric button.
    • Select the View → Standard views → Axonometric → Isometric option from the menu.
    • Select the Standard views → Isometric option from the 3D view context menu.
    • Select the Isometric option from the Mini-cube menu of the Navigation Cube.
    • Use the keyboard shortcut: 0.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To change to isometric view use the viewIsometric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()